Rivet::Jet Class Reference

Representation of a clustered jet of particles. More...

`#include <Jet.hh>`

Inheritance diagram for Rivet::Jet:

## Public Member Functions

Constructors
| Jet ()
| Jet (const vector< Particle > &particles, const FourMomentum &pjet)
| Set all the jet data, with full particle information.
Access jet constituents
size_t | size () const
| Number of particles in this jet.
vector< Particle > & | particles ()
| Get the particles in this jet.
const vector< Particle > & | particles () const
| Get the particles in this jet (const version)
bool | containsParticle (const Particle &particle) const
| Check whether this jet contains a particular particle.
bool | containsParticleId (PdgId pid) const
| Check whether this jet contains a certain particle type.
bool | containsParticleId (const vector< PdgId > &pids) const
| Check whether this jet contains at least one of certain particle types.
bool | containsCharm () const
| Check whether this jet contains a charm-flavoured hadron (or decay products from one).
bool | containsBottom () const
| Check whether this jet contains a bottom-flavoured hadron (or decay products from one).
Access the effective jet 4-vector properties
const FourMomentum & | momentum () const
| Get equivalent single momentum four-vector.
double | eta () const
| Get the unweighted average for this jet. (caches)
double | phi () const
| Get the unweighted average for this jet. (caches)
double | totalEnergy () const
| Get the total energy of this jet.
double | neutralEnergy () const
| Get the energy carried in this jet by neutral particles. More...
double | hadronicEnergy () const
| Get the energy carried in this jet by hadrons.
double | ptSum () const
| Get the sum of the values of the constituent tracks. (caches)
double | EtSum () const
| Get the sum of the values of the constituent tracks. (caches)
Set the jet constituents and properties
Jet & | setState (const vector< Particle > &particles, const FourMomentum &pjet)
| Set all the jet data, with full particle information.
Jet & | setMomentum (const FourMomentum &momentum)
| Set the effective 4-momentum of the jet.
Jet & | setParticles (const vector< Particle > &particles)
| Set the particles collection with full particle information.
Jet & | clear ()
| Reset this jet as empty.

## Detailed Description

Representation of a clustered jet of particles.

## Member Function Documentation

## neutralEnergy()

double Rivet::Jet::neutralEnergy | ( |  | ) | const

Get the energy carried in this jet by neutral particles.

Todo:
  Jet::containsMatch(Matcher m) { ... if m(pid) return true; ... }

References Rivet::FourMomentum::E(), Rivet::Particle::momentum(), particles(), and Rivet::Particle::pdgId().

Referenced by totalEnergy().

The documentation for this class was generated from the following files:

- include/Rivet/Jet.hh
- src/Core/Jet.cc